python-acme 0.31.0-2~ubuntu16.04.1 source package in Ubuntu

Changelog

python-acme (0.31.0-2~ubuntu16.04.1) xenial; urgency=medium

  [ James Hebden ]
  * Backport packaging to build on Ubuntu Xenial (LP: #1836823)
    - Drop debhelper compat level to 9
    - Drop Rules-Requires-Root control file field

  [ Andreas Hasenack ]
  * d/control: adjust dependencies, see comment #23 in LP #1836823 for
    details:
    - relax python-cryptography requirement to version 1.2.3
    - add back pyasn1 dependency
    - drop idna dependency

python-acme (0.31.0-2) unstable; urgency=medium

  * Backport POST-as-GET support (Closes: #928452)

python-acme (0.31.0-1) unstable; urgency=medium

  * Bump dependency on josepy to >= 1.1.0
  * Add Breaks on python-acme against certbot << 0.20
  * New upstream version 0.31.0
  * Add dep on python-idna required by security extra.
  * Bump S-V; no changes needed.

python-acme (0.28.0-1) unstable; urgency=medium

  * New upstream version 0.28.0

python-acme (0.27.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump S-V; no changes needed.

python-acme (0.26.0-1) unstable; urgency=medium

  * New upstream version 0.26.0
  * Bump S-V; add Rules-Require-Root: no

python-acme (0.25.1-1) unstable; urgency=medium

  * New upstream version 0.25.1

python-acme (0.25.0-1) unstable; urgency=medium

  * New upstream version 0.25.0
  * Add new dependency on requests-toolbelt
  * Drop unnecessary X-Python-Version fields
  * Add pytest as build-time dep only.

python-acme (0.24.0-2) unstable; urgency=medium

  * Update team email address. (Closes: #895863)

python-acme (0.24.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump S-V; no changes needed.

 -- James Hebden <email address hidden>  Sat, 07 Sep 2019 16:15:04 +1000

Upload details

Uploaded by:
James Hebden on 2019-10-21
Sponsored by:
Andreas Hasenack
Uploaded to:
Xenial
Original maintainer:
Ubuntu Developers
Architectures:
all
Section:
misc
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Xenial updates on 2019-10-29 universe misc

Builds

Xenial: [FULLYBUILT] amd64

Downloads

File Size SHA-256 Checksum
python-acme_0.31.0.orig.tar.gz 80.9 KiB 7e5c2d01986e0f34ca08fee58981892704c82c48435dcd3592b424c312d8b2bf
python-acme_0.31.0-2~ubuntu16.04.1.debian.tar.xz 9.7 KiB a4eff636d12a9fa8c72090b3660e6996a35cdcad08109b7cf096f444d10643b1
python-acme_0.31.0-2~ubuntu16.04.1.dsc 2.3 KiB 8782b169ff0fbd5af842d6b57d504710c0a8e4bdb026ac08821ca7cdd9b3373b

View changes file

Binary packages built by this source

python-acme: ACME protocol library for Python 2

 This is a library used by the Let's Encrypt client for the ACME
 (Automated Certificate Management Environment). The ACME protocol is
 designed as part of the Let's Encrypt project, to make it possible to
 setup an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention. This
 library implements the protocol used for proving the control of a
 domain. This library is Python 2.

python-acme-doc: ACME protocol library for Python 2 - Documentation

 This is a library used by the Let's Encrypt client for the ACME
 (Automated Certificate Management Environment). The ACME protocol is
 designed as part of the Let's Encrypt project, to make it possible to
 setup an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention. This
 library implements the protocol used for proving the control of a
 domain.
 .
 This package provides the documentation.

python3-acme: ACME protocol library for Python 3

 This is a library used by the Let's Encrypt client for the ACME
 (Automated Certificate Management Environment). The ACME protocol is
 designed as part of the Let's Encrypt project, to make it possible to
 setup an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention. This
 library implements the protocol used for proving the control of a
 domain. This library is Python 3.